## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Interface SybaseASABaseColumnCheckConstraint

All Superinterfaces:
  CheckConstraint, Constraint, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, TableConstraint

All Known Implementing Classes:
  SybaseASABaseColumnCheckConstraintImpl, SybaseASACatalogBaseColumnCheckConstraint

    public interface SybaseASABaseColumnCheckConstraint

extends CheckConstraint

A representation of the model object 'Sybase ASA Base Column Check Constraint'.

The following features are supported:

- `Column`

See Also:
  `SybaseasabasesqlmodelPackage.getSybaseASABaseColumnCheckConstraint()`

Method Summary
`SybaseASABaseColumn` `getColumn()` Returns the value of the 'Column' reference.
`void` `setColumn(SybaseASABaseColumn value)` Sets the value of the '`Column`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.CheckConstraint
`getSearchCondition, setSearchCondition`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.TableConstraint
`getBaseTable, setBaseTable`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getColumn

    SybaseASABaseColumn getColumn()

  Returns the value of the 'Column' reference. It is bidirectional and its opposite is '`Column Constraint`'.

  If the meaning of the 'Column' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Column' reference.
  See Also:
    `setColumn(SybaseASABaseColumn)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseColumnCheckConstraint_Column()`, `SybaseASABaseColumn.getColumnConstraint()`

### setColumn

    void setColumn(SybaseASABaseColumn value)

  Sets the value of the '`Column`' reference.

  Parameters:
    `value` - the new value of the 'Column' reference.
  See Also:
    `getColumn()`